org.codehaus.plexus.configuration.processor

## Class ConfigurationProcessor

- java.lang.Object
- - org.codehaus.plexus.configuration.processor.ConfigurationProcessor

    public class ConfigurationProcessor
    extends Object

Take a normal PlexusConfiguration and look for directives within it that allow the inlining of external configuration sources.

Version:
  $Id: ConfigurationProcessor.java 1708 2005-04-15 04:47:38Z brett $
Author:
  Jason van Zyl

### Field Summary

Fields
`protected Map` `handlers`

### Constructor Summary

Constructors
Constructor and Description
`ConfigurationProcessor()`

### Method Summary

Methods
`void` `addConfigurationResourceHandler(ConfigurationResourceHandler handler)`
`protected Map` `createHandlerParameters(PlexusConfiguration c, Map variables)`
`PlexusConfiguration` `process(PlexusConfiguration configuration, Map variables)`
`protected void` `walk(PlexusConfiguration source, PlexusConfiguration processed, Map variables)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### handlers

    protected Map handlers

### Constructor Detail

#### ConfigurationProcessor

    public ConfigurationProcessor()

### Method Detail

#### addConfigurationResourceHandler

    public void addConfigurationResourceHandler(ConfigurationResourceHandler handler)

#### process

    public PlexusConfiguration process(PlexusConfiguration configuration,
                              Map variables)
                                throws ConfigurationResourceNotFoundException,
                                       ConfigurationProcessingException

Throws:
  `ConfigurationResourceNotFoundException`
  `ConfigurationProcessingException`

#### walk

    protected void walk(PlexusConfiguration source,
            PlexusConfiguration processed,
            Map variables)
                 throws ConfigurationResourceNotFoundException,
                        ConfigurationProcessingException

Throws:
  `ConfigurationResourceNotFoundException`
  `ConfigurationProcessingException`

#### createHandlerParameters

    protected Map createHandlerParameters(PlexusConfiguration c,
                              Map variables)